﻿using DotNet.Demo.CommLibrary.Contracts;
using DotNet.ServiceModel;

namespace DotNet.Demo.CommLibrary.Clients
{
    public class TestClient : ClientBase<ITest>, ITest
    {
        public TestClient(string host, int maxConnections) : base(host, maxConnections)
        {
        }

        public TestClient(string host) : base(host)
        {
        }

        public void SendTest(string message)
        {
            Invoke(message);
        }

        public string GetTest(string message)
        {
            return (string)Invoke(message);
        }

        public TestInfo GetInfo(int id)
        {
            return (TestInfo)Invoke(id);
        }
    }
}
