﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Reflection;
using System.Text;
using DotNet.Demo.CommLibrary.Clients;

namespace DotNet.Demo.Client
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var testClient = new TestClient("127.0.0.1:8888", 100))
            {
                Console.WriteLine("SendTest(\"你好！DotNet.ServiceModel\")");
                testClient.SendTest("你好！DotNet.ServiceModel");
                Console.WriteLine();
                Console.WriteLine("GetTest(\"你很好！DotNet.ServiceModel\")");
                var ret = testClient.GetTest("你很好！DotNet.ServiceModel");
                Console.WriteLine("  " + ret);
                Console.WriteLine();
                Console.WriteLine("GetInfo(18)");
                var testInfo = testClient.GetInfo(18);
                Console.WriteLine("  id=" + testInfo.Id);
                Console.WriteLine("  Name=" + testInfo.Name);
                Console.WriteLine("  IsTest=" + testInfo.IsTest);
                Console.WriteLine("  Object=" + testInfo.Object);
                Console.WriteLine("  Data=" + Encoding.UTF8.GetString(testInfo.Data));
            }
            Console.Read();
        }
    }
}
